Subject: bug#18516: Acknowledgement (24.4.50; EMACS crashes when I try to open Elisp manual)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Sep 2014 05:49:22 +0300

> From: Vincent Belaïche <[email-masked]> 
> Cc: Vincent Belaïche <[email-masked]> 
> Date: Sun, 21 Sep 2014 23:13:33 +0200
> 
> So, actually, I *can* make it crash under gdb.
> 
> The problem is that there is not much information provided by gdb --- no
> more information than if there is no crash --- if I type:
> 
> (gdb) bt full
> 
> I get:
> 
> (gdb) No stack.
> 
> whether it is before run, after it (crash done), or before or after
> clicking on the "Ne pas envoyer" (=Don't send) button of the MSW crash
> popup windown.
> 
> and `bt full' does not seem to have any other effect.

That's because Emacs already exited by that time.  You need to catch
the moment when it crashes.

The problem here is that you run the wrong program under the debugger:
runemacs.exe.  You need to invoke emacs.exe instead.

Please invoke Emacs under GDB like this:

 gdb c:/Programme/GNU/Emacs/bin/emacs.exe
 (gdb) run -Q --eval=... <put here the rest of the command line>